<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:adapter="http://www.iss.net/cml/NetworkDefender/adapter"  >

<!--
Usage: Xalan [-o outfile] <infile> <xformfile>
-->

<xsl:output method="xml" version="1.0" encoding="UTF-8" standalone="no" indent="yes"/>

<xsl:template match="adapter:CardManagementParameters">
    <xsl:element name="CardManagementParameters" namespace="http://www.iss.net/cml/NetworkDefender/adapter">
        <xsl:copy-of select="@*[name() != 'HAPartnerCard']"/>
        <xsl:choose>
            <xsl:when test="@CardID='2'">
                <xsl:attribute name="HAPartnerCard">1</xsl:attribute>
            </xsl:when>
            <xsl:when test="@CardID='4'">
                <xsl:attribute name="HAPartnerCard">3</xsl:attribute>
            </xsl:when>
            <xsl:when test="@CardID='6'">
                <xsl:attribute name="HAPartnerCard">5</xsl:attribute>
            </xsl:when>
            <xsl:when test="@CardID='8'">
                <xsl:attribute name="HAPartnerCard">7</xsl:attribute>
            </xsl:when>
            <xsl:otherwise>
                <xsl:attribute name="HAPartnerCard"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:element>
</xsl:template>

<!-- Generic Copy Template -->
<xsl:template match="@*|node()">
    <xsl:copy>
        <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
</xsl:template>

</xsl:stylesheet>

