<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:netwk="http://www.iss.net/cml/NetworkDefender/network">
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
<xsl:param name="pSchemaVersion" select="'1.0.0'"/>
<xsl:param name="pPolicyName" select="'ndnetwork1_0'"/>
<xsl:param name="pVersion" select="'1.0.0'"/>
<xsl:template match="netwk:policy">
    <xsl:element name="policy" namespace="http://www.iss.net/cml/NetworkDefender/network">
        <xsl:copy-of select="@*[name() != 'schema-version' and name() != 'version' and name() != 'name']"/>
        <xsl:attribute name="schema-version"> <xsl:value-of select="$pSchemaVersion"/> </xsl:attribute>
        <xsl:attribute name="version"> <xsl:value-of select="$pVersion"/> </xsl:attribute>
        <xsl:attribute name="name"> <xsl:value-of select="$pPolicyName"/> </xsl:attribute>
        <xsl:apply-templates/>
    </xsl:element>
</xsl:template>
<xsl:template match="*">
    <xsl:element name="{name(.)}" namespace="http://www.iss.net/cml/NetworkDefender/network">
        <xsl:copy-of select="@*"/>
        <xsl:apply-templates/>
    </xsl:element>
</xsl:template>
</xsl:stylesheet>
