<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.iss.net/cml/NetworkDefender/sensorProperties">

<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
<xsl:param name="pSchemaVersion" select="'1.0.0'"/>

<xsl:template match="sp:policy">
    <xsl:element name="policy" namespace="http://www.iss.net/cml/NetworkDefender/adapter">
        <xsl:copy-of select="@*[name() != 'schema-version']"/>
        <xsl:attribute name="schema-version"> <xsl:value-of select="$pSchemaVersion"/> </xsl:attribute>
        <xsl:apply-templates select="sp:CardManagementList"/>
    </xsl:element>
</xsl:template>

<xsl:template match="sp:CardManagementList">
    <xsl:element name="CardManagementList" namespace="http://www.iss.net/cml/NetworkDefender/adapter">
        <xsl:apply-templates select="sp:CardManagementParameters"/>
        <xsl:apply-templates select="sp:sensorHAMode"/>
    </xsl:element>
</xsl:template>

<xsl:template match="sp:CardManagementParameters">
    <xsl:element name="CardManagementParameters" namespace="http://www.iss.net/cml/NetworkDefender/adapter">
        <xsl:copy-of select="*|@*"/>
    </xsl:element>
</xsl:template>

<xsl:template match="sp:sensorHAMode">
    <xsl:element name="sensorHAMode" namespace="http://www.iss.net/cml/NetworkDefender/adapter">
        <xsl:copy-of select="*|@*"/>
    </xsl:element>
</xsl:template>

</xsl:stylesheet>

