class GeneralSupportController < ApplicationController
   
  def index
    @filename, @size, @mtime = get_provinfo_stats
    
    @summary
  end
  
  private 
  def get_provinfo_stats
    files = Dir.glob("#{PROVINFO_OUTPUT}/provinfo*.tgz")
    
    size = "0"
    mtime = "0"
    filename = "0"
    if files.size > 0
      filename = files[0].split("/")[-1]
      filestats = File.new(files[0])
      size = filestats.stat.size
      mtime = filestats.stat.mtime
    end
    
    return filename, size, mtime
  end
end
