class PatchesController < ApplicationController

  def index 
    @installed = Patch.installed
    @history = Patch.history

    respond_to do |format|
      format.html
      format.json {render :json => @patches}
    end
  end

  def show
    @patch_id = params[:id]
    if ! @patch_id.match(/^\d+$/)
      @patch_id = 0
    end
    
    if @patch_id != 0
      @patch = Patch.find @patch_id
      
      if @patch.empty?
        @patch_id = 0
      end
    end
    
    respond_to do |format|
      format.html {render :layout => "minimal"}
    end      
  end
end
