class Setup::SecurityInterfacesController < Setup::SetupController
  layout "setup", :except=>[:view_licenses]
  require "rexml/document"
  include REXML

  def index 
    @security_interface = SecurityInterface.find(:first)
    @segments = @security_interface.segments[0..(Appliance.segment_count-1)]
  end  
  
  def create
    begin
      SecurityInterface.update_state(params)
      altnav = params[:altnav]
      
      if altnav.blank?
         next_page 
      else
        navigate(altnav)
      end
    
    rescue ActiveRecord::RecordInvalid
      render 'index'
    end
  end
  
  def next_page
    session[:security_interfaces_set] = true
    redirect_to :action=>:index, :controller=>:datetime
    return
  end 
  
  def navigate(altnav)
    redirect_to :controller => "/setup/#{altnav}"
  end
   
end
