class SystemLogsController < LogsController
  before_filter :get_predefined_tags
  def refresh
     session[:lines] = SyslogLive.get_current_logs(params)
  end
  
  protected
  def filter_type
    @ftype = "system"
  end
  
  def get_predefined_tags
    @predefined_tags = FilterTag.find_all_by_filter_type(filter_type, :conditions=>{:predefined=>true})
  end

  def log_db
    SystemLogDb
  end
end


