class SystemLogDb < LogDb
  protected
  def cache
    SystemLogCache
  end
  
  def log_module
    LogFile
  end
  
  def log_split(lines)
    newlines = []
    lines.each do |line|
      newlines.push(line.split(/\s+/,7)) unless line.nil?
    end
    newlines
  end
  
end