xml.instruct! :xml, :version=>"1.0"
xml.segment_packets do
  xml.serial_number @data['serial_number']
  @data.each do |key, value|
    if value.is_a? Array
      xml.tag!( key.to_s.downcase.gsub(/[ ]/, '_') ) do
        value.each do |data|
          xml.traffic( :time => data[0], :packets => data[1] )
        end
      end
    end
  end
end