xml.instruct! :xml, :version => "1.0"

xml.rss :version => "2.0" do
  xml.channel do
    xml.title "Network IPS Updates for #{Update.get_hostname}"
    xml.versino "Firmware and XPU update information for the IBM Security Network IPS device"
    xml.link "http://192.168.123.200:3000/updates"
    
    for post in Update.all
       xml.item do
        xml.title "#{post.name} #{post.version}"
        xml.version post.version
        xml.pubDate post.created_date
        xml.description "Current version: #{post.status_entry.version} <br/> Update version #{post.version} <br/> Critical update: #{post.critical_update == true ? "Yes" : "No"} <br/> Requires reboot: #{post.requires_reboot == true ? "Yes" : "No"} <br/> #{post.readme_url.nil? ? "" : "Readme: "+post.readme_url}"
        xml.link "http://192.168.123.200:3000/updates/#{post.status_entry_id}"
      end    
    end   
  end 	
end
