class CreateUpdates < ActiveRecord::Migration
  def self.up
    create_table :updates do |t|
      t.integer :status_entry_id
      t.string :name
      t.string :version
      t.datetime :created_date
      t.string :readme_url
      t.string :size
      t.datetime :download_date
      t.datetime :scheduled_date
      t.boolean :critical_update
      t.boolean :requires_reboot
      t.string :major_release_version

      t.timestamps
    end
  end

  def self.down
    drop_table :updates
  end
end
