class CreateAdapters < ActiveRecord::Migration
  def self.up
    create_table :adapters do |t|
      t.integer :segment_id
      t.string :alpha_numeric_port
      t.string :port
      t.string :speed_duplex, :default=>"Auto"
      t.timestamps
    end
  end

  def self.down
    drop_table :adapters
  end
end
