class CreateTimeDate < ActiveRecord::Migration
  def self.up
    create_table :time_dates do |t|
      t.string :timezone
      t.datetime :current_time
      t.integer :enable_ntp, :limit=>1
      t.string :ntp_server
      t.integer :ntp_version
    end
  end

  def self.down
    drop_table :time_dates
  end
end
