<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:access="http://www.iss.net/cml/NetworkDefender/access">



<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
<xsl:param name="pSchemaVersion" select="'5.0.0'"/>
<xsl:param name="pRootOld" select="''"/>
<xsl:param name="pAdminOld" select="''"/>
<xsl:param name="pwebAdminOld" select="''"/>
<xsl:param name="pRootNew" select="''"/>
<xsl:param name="pAdminNew" select="''"/>
<xsl:param name="pwebAdminNew" select="''"/>

<xsl:template match="access:policy">
    <xsl:element name="policy" namespace="http://www.iss.net/cml/NetworkDefender/access">
        <xsl:copy-of select="@*[name() != 'schema-version']"/>
        <xsl:attribute name="schema-version"> <xsl:value-of select="$pSchemaVersion"/> </xsl:attribute>
        <xsl:apply-templates/>
    </xsl:element>
</xsl:template>

<xsl:template match="access:Config">
    <xsl:element name="Config" namespace="http://www.iss.net/cml/NetworkDefender/access">
      <xsl:element name="root" namespace="http://www.iss.net/cml/NetworkDefender/access">
        <xsl:attribute name="old"> <xsl:value-of select="$pRootOld"/> </xsl:attribute>
        <xsl:attribute name="new"> <xsl:value-of select="$pRootNew"/> </xsl:attribute>
      </xsl:element>
      <xsl:element name="admin" namespace="http://www.iss.net/cml/NetworkDefender/access">
        <xsl:attribute name="old"> <xsl:value-of select="$pAdminOld"/> </xsl:attribute>
        <xsl:attribute name="new"> <xsl:value-of select="$pAdminNew"/> </xsl:attribute>
      </xsl:element>
      <xsl:element name="webAdmin" namespace="http://www.iss.net/cml/NetworkDefender/access">
        <xsl:attribute name="old"> <xsl:value-of select="$pwebAdminOld"/> </xsl:attribute>
        <xsl:attribute name="new"> <xsl:value-of select="$pwebAdminNew"/> </xsl:attribute>
      </xsl:element>
    </xsl:element>
<xsl:apply-templates/>
</xsl:template>


  <xsl:template match="access:RemoteAuthTab">
    <xsl:element name="RemoteAuthTab" namespace="http://www.iss.net/cml/NetworkDefender/access">
    <xsl:copy-of select="*" />
    </xsl:element>
  </xsl:template>

  <xsl:template match="access:PasswordPolicy">
    <xsl:element name="PasswordPolicy" namespace="http://www.iss.net/cml/NetworkDefender/access">
    <xsl:copy-of select="*" />
    </xsl:element>
  </xsl:template>

  <xsl:template match="access:NotificationTab">
    <xsl:element name="NotificationTab" namespace="http://www.iss.net/cml/NetworkDefender/access">
    <xsl:copy-of select="*" />
    </xsl:element>
  </xsl:template>
</xsl:stylesheet>

