class Lap
  attr_accessor :lap_strings

  def initialize
    @lap_strings = Lap.lap_obj
  end
  
  def self.languages
    lap_obj['languages'].sort
  end
  
  def self.lap_obj
    YAML.load(File.read("#{RAILS_ROOT}/lib/lapstrings.yml"))
  end

  def self.yaml_to_files
    obj = lap_obj    
    lap_keys = obj['en'].keys
    
    obj.each do |lang_abbr, lap_hash|
      f = File.open("/home/zundra/programs/lmiphp/sla/captions/captions_#{lang_abbr}", "w")
      lap_keys.each do |lap_key|
        f << "$#{lap_key}=\"#{lap_hash[lap_key]}\"\n"
      end
      f.close
    end
  end

  LANGUAGES = [["English", "en"], ["Čeština", "cs"], ["Deutsch", "de"], ["Greek", "el"], ["Español", "es"],["Français", "fr"], ["Italiano", "it"], ["日本語""", "ja"], ["한국어", "ko"], ["Lithuanian", "lt"], ["Polski", "pl"], ["Português","pt"],  ["Russian", "ru"], ["Slovenian", "sl"], ["简体中文", "zh"], ["繁體中文", "zh_TW"], ["Türkçe", "tr"]].freeze
end
