 var gatherProvInfo = function(){
     $.ajax({
      url: "/provinfo/provinfo_ready",
      type: "get",
      success: function(res){
        if(res == "true"){
          document.location=document.location;
        }
      }
    });
  }




$(document).ready(function(){    
    $("#prov-info-gather").click(function(){
      $("#prov-info-container").fadeOut();
      $("#prov-info-polling").fadeIn();
      $.get("/provinfo/gather");    
      setInterval("gatherProvInfo()", 10000);
    });


   function validateIPandDomainName() {
     if (validateAddress()) {
       $("input[id=address]").css({'border' : '1px solid #ccc'});
       $("#error_row").hide();
     } else {
       $("input[id=address]").css({'border' : '2px solid red'});
       $("#error_row").show();
     }
   };
    
  $("#address").val("");
  $("input[id=address]").keyup(validateIPandDomainName);


  var parseBrower = function(){
    if($.browser.mozilla){
      return "Firefox (Mozilla)";
    }else if($.browser.msie){
      return "Internet Explorer";  
    }else if($.browser.opera){
      return "Opera";
    }else if($.browser.safari){
      return "Safari";
    }
  };

  var parseVersion = function(){    
    switch($.browser.version.substr(0,3)){
      case "1.9":
        return "v.3.0";
      case "1.8":
        return "v.1.5" ;
      case "1.7":
        return "v.1.0"
      default:
        return $.browser.version;
    } 
  };

  var parseSupport = function(){
    if($.browser.mozilla){
      $(".browser-support").css({"color":"green"});
       return "Yes"; 
    }else if($.browser.msie){
      if(parseFloat($.browser.version) >= 8){
      $(".browser-support").css({"color":"green"});
        return "Yes";    
      }else{
      $(".browser-support").css({"color":"red"});
        return "No";
      }
    }
  }; 

  var checkBrowser = function(obj){
    if (obj.support === "No"){
      var msg = "The Local Management Interface does not support "+obj.type+" version "+obj.version+" Visit ";
          msg += "the <a href='/general_support'>";
          msg += "Support Page</a> for a description of support browsers.";
      $("#message-content").html(msg);
      $("#system_message").show();  
    }
  };

	var checkJava = function(obj){
		if(obj.supported == "No"){
				var msg = "The Local Management Interface requires Java version 1.6 or greater. Visit ";
	    		msg += "the <a href='/general_support'>";
	        msg += "Support Page</a> for a more detailed description of Java support.";
	      $("#message-content").html(msg);
	      $("#system_message").show();
			}	
	};

  var parseSupportJava = function(ver){
    if(ver == 1){
      $(".java-support").css({"color":"green"});
      return "Yes";
    }else{
      $(".java-support").css({"color":"red"});
      return "No";
    }
  };
  
  var currentBrowser = function(arg){
    var obj = {};
    obj.type = parseBrower();
    obj.version = parseVersion();
    obj.support = parseSupport();
    return obj;
  };
  
  var parseJava = function(){
    var minver = PluginDetect.isMinVersion('Java', '1.6') | PluginDetect.isMinVersion('Java', '1.7');
    var status = PluginDetect.isMinVersion('Java', '0');
    var obj = {};
  
    obj.detected = (status === 1 ? "Yes" : "No");
    obj.version = PluginDetect.getVersion("Java");
    obj.vendor = PluginDetect.getInfo("Java").vendor;
    obj.supported = parseSupportJava(minver);
    return obj;
  };

  var currentJava = function(arg){
    var obj = parseJava();
    return obj;
  };

  var detectSettings = function(){
    var INFO = PluginDetect.getInfo('Java', jarfile);
    var version = PluginDetect.getVersion('Java');
  
    var brs = currentBrowser();
    var java = currentJava();
  
    $("#detected-browser").html(brs.type);
    $("#detected-version").html(brs.version);
    $("#detected-support").html(brs.support);
  
    $("#detected-java").html(java.detected);
    $("#detected-java-version").html(java.version);
    $("#detected-java-support").html(java.supported);
       
  };
	
	var jarfile = "/javascripts/java_detect/jar/getJavaInfo2.jar";
  PluginDetect.onDetectionDone('Java', detectSettings, jarfile);
  $(document).ready(function(){
    var obj = currentBrowser();
		var java = currentJava();
    checkBrowser(obj);
		checkJava(java);
  }); 
});

function startPingPoll() {
  var value;
  if(validateAddress()){
    $("#tool_output").html("");
    $("#ping-loading").fadeIn();
    value = $.trim($("#address").val());
    $.get("/ping_tool/ping?address="+value);
    $("#tool_error").fadeOut("slow");
    $("#description").html("Pinging "+value).fadeIn("slow");
    document.pingpoll = setInterval("PingAddress()", 1500);  
  }else{
     $("#tool_error").fadeIn("slow").css({"display": "inline-block"});
  } 
}

function endPingPoll() {
  clearInterval(document.pingpoll);
}

function PingAddress() {
  
   $.ajax({
    url: "/ping_tool/get_ping",
    type: "get",
    success: function(res){
      $("#ping-loading").fadeOut();
      $("#tool_output").html(res);
      var value = $("#fini").val();
      if (value == 1){
        endPingPoll();  
      }
    }
  });
}

function startTracePoll() {
  var value;  
  if(validateAddress()){
    $("#trace-output").html("");
    $("#ping-loading").fadeIn();
    value = $("#address").val();
    $.get("/traceroute/trace?address="+value);
    $("#tool_error").fadeOut("slow");
    $("#description").html("Traceroute to "+value).fadeIn("slow");
  }else{
    $("#tool_error").fadeIn("slow").css({"display": "inline-block"});
  } 
  document.tracepoll = setInterval("TraceAddress()", 1500);  
}

function endTracePoll() {
  clearInterval(document.tracepoll);
}

function TraceAddress() {
   $.ajax({
    url: "/traceroute/get_trace",
    type: "get",
    success: function(res){
      $("#ping-loading").fadeOut();
      $("#trace-output").html(res);
      var value = $("#fini").val();
      if (value == 1){
        endTracePoll();  
      }
    }
  });
}

var deleteRollingPacketCaptures = function(){
	if(confirm("Really delete all rolling packet captures?")){
		document.location = "/log_managers/delete_rolling_packet_captures";
		return false;
	}else{
		return false;
	}
};

var deleteLogEvidence = function(){
	if(confirm("Really delete all log evidence files?")){
		document.location = "/log_managers/delete_log_evidence";
		return false;
	}else{
		return false;
	}
};

var deleteDroppedPacketCaptures = function(){
	if(confirm("Really delete all dropped packet captures?")){
		document.location = "/log_managers/delete_dropped_packet_captures";
		return false;
	}else{
		return false;
	}
};

var deleteSnortPacketCaptures = function(){
	if(confirm("Really delete all SNORT packet captures?")){
		document.location = "/log_managers/delete_snort_packet_captures";
		return false;
	}else{
		return false;
	}
};

function validateAddress(){
  var str = $.trim($("input[id=address]").attr('value'));
  var good = false;
  
  if (test_hostname(str)) {
    good = true;
  } else if (test_ipv4(str)) {
    good = true;
  } else if (test_ipv6(str)) {
    good = true;
  }
  return good;
}



// substr_count 
 
function substr_count (haystack, needle, offset, length) { 
  var pos = 0, cnt = 0; 
  haystack += ''; 
  needle += ''; 
  if (isNaN(offset)) {offset = 0;} 
  if (isNaN(length)) {length = 0;} 
  offset--; 
 
  while ((offset = haystack.indexOf(needle, offset+1)) != -1){ 
    if (length > 0 && (offset+needle.length) > length){ 
      return false; 
    } else{ 
      cnt++; 
    } 
  } 

  return cnt; 
} 

//test_hostname
function test_hostname(hostname) {
  var match = hostname.match(/([\w\-\d]+\.)*[\w\-\d]+/);
  return match != null
} 
 
// test_ipv4 
function test_ipv4(ip) { 
  var match = ip.match(/(([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|255[0-5])\.){3}([1-9]?[0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])/); 
  return match != null; 
} 
 
// test_ipv6 
// 
function test_ipv6(ip) { 
  // Test for empty address 
  if (ip.length<3) { 
    return ip == "::"; 
  } 

// Check if part is in IPv4 format 
  if (ip.indexOf('.')>0) { 
    lastcolon = ip.lastIndexOf(':'); 
    if (!(lastcolon && test_ipv4(ip.substr(lastcolon + 1)))) 
      return false; 

    // replace IPv4 part with dummy 
    ip = ip.substr(0, lastcolon) + ':0:0'; 
  }  

  // Check uncompressed 
  if (ip.indexOf('::')<0) { 
    var match = ip.match(/^(?:[a-f0-9]{1,4}:){7}[a-f0-9]{1,4}$/i); 
    return match != null; 
  } 

  // Check colon-count for compressed format 
  if (substr_count(ip, ':'))  { 
    var match = ip.match(/^(?::|(?:[a-f0-9]{1,4}:)+):(?:(?:[a-f0-9]{1,4}:)*[a-f0-9]{1,4})?$/i); 
    return match != null; 
  }  
 
  // Not a valid IPv6 address 
  return false; 
}
