<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:adapter="http://www.iss.net/cml/NetworkDefender/adapter">

<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="adapter:policy">
    <xsl:element name="policy" namespace="http://www.iss.net/cml/NetworkDefender/adapter">
        <xsl:copy-of select="@*[name() != 'schema-version']"/>
            <xsl:attribute name="schema-version">1.2.0</xsl:attribute>
        <xsl:apply-templates/>
    </xsl:element>
</xsl:template>

<xsl:template match="adapter:CardManagementParameters">
    <xsl:element name="CardManagementParameters" namespace="http://www.iss.net/cml/NetworkDefender/adapter">
        <xsl:copy-of select="@*"/>
            <xsl:attribute name="Port1InUse">true</xsl:attribute>
            <xsl:attribute name="Port2InUse">true</xsl:attribute>
        <xsl:apply-templates/>
    </xsl:element>
</xsl:template>

<xsl:template match="*">
    <xsl:element name="{name(.)}" namespace="http://www.iss.net/cml/NetworkDefender/adapter">
        <xsl:copy-of select="@*"/>
        <xsl:apply-templates/>
    </xsl:element>
</xsl:template>

</xsl:stylesheet>

