<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
Usage: Xalan [-p paramName paramValue] <infile> <xformfile>

Example: /usr/bin/Xalan -p pModeKey "'com.ibm.xf.moderate_name'" translations_en.xml XForceSecurityName.xslt
-->

<xsl:output method="text" omit-xml-declaration="yes" indent="no"/>
<xsl:param name="pModeKey" select="''"/>

<!-- List of Label in source file -->
<xsl:key name="name-lookup" match="Label" use="@ID"/>

<xsl:template match="/">
  <xsl:value-of select="key('name-lookup',$pModeKey)/LabelText"/>
</xsl:template>

</xsl:stylesheet>