class AlertLogsController < LogsController  
  def lookup_host_name
    @lookup_address = params['address']
    @lookup_name = HostInfo.find_name_by_address(CGI.escape(@lookup_address))
  end

  def link_filter
    session[:top10qs] = request.query_string
    redirect_to :action => 'index'
  end
  
  def clear_alerts
    succ = Issasapache.execute :a => "ct", :pns => "http://www.iss.net/cml/NetworkDefender/ctclearalerts"
    reset_logdb
    redirect_to :action => 'index'
  end
  
  def ip_addr
    ip = {}
    ip["ipv4"] = ipv4_addr
    ip["ipv6"] = ipv6_addr
    
    ip["ipv4"] = "206.122.1.23"
    
    respond_to do |format|        
      format.json {render :json => ip}
    end
  end
  
  def ipv4_addr
    Appliance.ipv4_addr
  end

  def ipv6_addr    
    Appliance.ipv6_addr
  end

  def refresh
     session[:lines] = get_live_page(params)
  end
  
  protected
  def filter_type
    @ftype = "alert"
  end

  def log_db
    AlertLogDb
  end

  private
  def get_live_page(filter_params)
    filter = LmiFilter.new(filter_params, @ftype)
    session[:logdb] = log_db.new(filter,LIVE_VIEW)
    session[:logdb].find_current(FILTERED_PAGE_SIZE, ZOOM_PAGE_SIZE)
  end  
  
end
