class SpaController < ApplicationController
  layout nil
  HEARTBEAT_LOCKFILE = "#{ROOTDIR}tmp/heartbeat_inprogress.lck"
  
  # TODO: use systemsource and move to yml defn
  CONFIGURE_TASK_G_PREFIX = "http://www.iss.net/cml/NetworkDefender/"
  CONFIGURE_TASK_DO_HEARTBEAT = "cthbnow"
  CONFIGURE_TASK_DO = "ctrequesttasksnow"
  
  def do_heartbeat
    if( File.exist? HEARTBEAT_LOCKFILE )
      render :nothing => true, :status => :service_unavailable
    else
      issue_task(CONFIGURE_TASK_G_PREFIX + CONFIGURE_TASK_DO_HEARTBEAT)
    end
  end

  def do_taskrequest
    issue_task(CONFIGURE_TASK_G_PREFIX + CONFIGURE_TASK_DO)
  end
  
private
  def issue_task(namespace)
    Issasapache::run "-a ct -pns '#{namespace}'"
  end
end