module SetupHelper
  def render_setup_navigation
    if Appliance.fips_setup?
      render :partial => 'includes/navigation/setup/fips'      
    else
      render :partial => 'includes/navigation/setup/navigation'
    end
  end

  
 def subheader_class
    if params[:controller] == 'setup/welcome'
      return "welcome"
    end
    
    if params[:controller] == 'setup/service_agreement'
      return "service_agreement"
    end
   
    if params[:controller] == 'setup/license'
      return "license"
    end

    if params[:controller] == 'setup/passwords'
      return "passwords"
    end
    
    if params[:controller] == 'setup/management_interfaces'
      return "management_interface"
    end

	if params[:controller] == 'setup/xforce'
      return "xforce"
    end
	
    if params[:controller] == 'setup/security_interfaces'
      return "security_interfaces"
    end
        

    if params[:controller] == 'setup/datetime'
      return "datetime"
    end
    
    if params[:controller] == 'setup/site_protector'
      return "site_protector"
    end

    if params[:controller] == 'setup/updates'
      return "updates"
    end
    

    if params[:controller] == 'setup/completion'
      return "completion"
    end
  end
  
  
  def render_subheader
    if params[:controller] == 'setup/welcome'
      if Appliance.reconfigure?
        return "Maintenance Mode"
      else
        return "Let's Get Started"
      end
    end
    
    if params[:controller] == 'setup/service_agreement'
      return "Review Licenses"
    end
    
    if params[:controller] == 'setup/license'
      return "Upload License File"
    end

    if params[:controller] == 'setup/root_password'
      return "Set Appliance Root Account Password"
    end
    
    if params[:controller] == 'setup/lmi_password'
      return "Set Local Management Interface (LMI) Password"
    end
    
    
    if params[:controller] == 'setup/management_interfaces'
      return "Get Connected"
    end
	
	if params[:controller] == 'setup/xforce'
      return "X-Force Policy"
    end

    if params[:controller] == 'setup/security_interfaces'
     return "Set Security Interfaces"
    end
    
    
    if params[:controller] == 'setup/datetime'
      return "Set Date and Time"
    end
    
    if params[:controller] == 'setup/site_protector'
      return "SiteProtector Management"
    end

    if params[:controller] == 'setup/updates'
      return "Update Security Content"
    end
    
    if params[:controller] == 'setup/completion'
      return "Review Settings"
    end
  end
end
