class CpeProperty < ActiveRecord::Base
  belongs_to :link
  attr_reader :policy, :schema_version, :policy_version
  
  def after_initialize
    if(!namespace.nil?)
      @policy = Policy::SensorInfo.filename_by_namespace(namespace)
      @schema_version = Policy::SensorInfo.schema_version_by_namespace(namespace)
      @policy_version = Policy::SensorInfo.policy_version_by_namespace(namespace)
    end
  end
  
end
