class CreateStatusEntries < ActiveRecord::Migration
  def self.up
    create_table :status_entries do |t|
      t.string :name
      t.string :version
      t.datetime :install_date
      t.integer :rollback
      t.integer :latest
      t.integer :licensed
      t.string :license_type
      t.integer :license_user_count
      t.datetime :license_usage_date
      t.integer :license_usage_exp
      t.datetime :license_maint_date
      t.integer :license_maint_exp
      t.string :license_ocnid
      t.datetime :discover_time
      t.string :major_release_version
      t.string :license_cust_company
      t.string :license_cust_name
      t.string :param_id

      t.timestamps
    end
    
  end

  def self.down
    drop_table :status_entries
  end
end
