




$(document).ready(function(){
    var $dialog = $("<div></div>").dialog({autoOpen:false, show:'slide', hide:'slide'});

    $("#rebootbutton-do").click(function shutdown() {
       $dialog.html(rebootMsg()).dialog('open');
        $("#confirm-reboot").fadeOut();
        $("#rebootbutton").fadeOut();
        $("#shutdownbutton").fadeOut();
        $.get("/appliance_maintenance/reboot");
    });

    $("#shutdownbutton-do").click(function shutdown() {
        $("#confirm-shutdown").fadeOut();
        $("#rebootbutton").fadeOut();
        $("#shutdownbutton").fadeOut();
       $dialog.html(shutdownMsg()).dialog('open');
        $.get("/appliance_maintenance/shutdown");
    });

    $("#rebootbutton-dont").click(function(){ 
        $("#rebootbutton").fadeIn();
        $("#confirm-reboot").fadeOut();
    });

    $("#shutdownbutton-dont").click(function(){
        $("#confirm-shutdown").fadeOut();
        $("#shutdownbutton").fadeIn();
    });

    $("#rebootbutton").click(function(){
        $("#confirm-reboot").fadeIn();
        $("#rebootbutton").fadeOut();
    });

    $("#shutdownbutton").click(function(){
        $("#confirm-shutdown").fadeIn();
        $("#shutdownbutton").fadeOut();
    });
    
    function reboot() {

      $("#app_message_reboot").fadeIn("slow");
      $.get("/appliance_maintenance/reboot");
    }

    var rebootMsg = function(){
        var msg = "<div id='app_message_reboot'>";
        msg += "Your appliance is in the process of rebooting and will be offline for several minutes.";
        msg += "<p><span class='attention'>Attention!</span> If your settings updates include a change ";
        msg += "to the appliance's network you may receive a \"Page Not Found\" when the page is refreshed,";
        msg += "make sure your browser is pointed to the correct location.</p></div>";
        return msg;
    }

    var shutdownMsg = function(){
        var msg = "<div id='app_message_reboot'>";
        msg += "Your appliance is in the process of shutting down...</div>";
        return msg;
     }
});

