$(document).ready(function(){
  $("#fips-submit").click(configure_fips);
  $("#fips-cancel").click(function(){window.close();});
  $("#fips-cb").click(function(){
    var disabled = $(this).attr("checked") ? false : true;
    $("#fips-submit").attr("disabled", disabled);
    $("#tlsv10-cb").attr("disabled", disabled);
    $("#tlsv11-cb").attr("disabled", disabled);
  });
});

function configure_fips(){
  var fips_answer = $("#fips-cb").attr("checked") ? "yes" : "no"
  var tlsv10 = $("#tlsv10-cb").attr("checked") ? "yes" : "no"
  var tlsv11 = $("#tlsv11-cb").attr("checked") ? "yes" : "no"
  
 if(confirm("Are you sure you want to change the appliance to FIPS compliance mode?")){
   window.opener.location = "/setup/welcome/configuring_fips";
   $.ajax({
      type: "POST",
      url: "/setup/welcome/change_to_fips_mode",
      data: {'fips':fips_answer, 'tlsv10':tlsv10, 'tlsv11':tlsv11},
      success: function(){
        window.close();
      }
    });//end ajax
 }else{
    return false;
  }      
}
